# Overview

Welcome to the API documentation. We provide complete RESTful API and WebSocket API to meet your trading needs.

* It is recommended to set up an IP whitelisting along with API Key for security purpose.
* Never tell your API Key/ Secret to anyone.
* Feel free to join our Official Group if there is any question: <https://t.me/pionexapi>.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Trade API</strong></td><td><a href="https://www.pionex.com/docs/api-docs/trade-api/general-info">https://www.pionex.com/docs/api-docs/trade-api/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Trade Websocket</strong></td><td><a href="https://www.pionex.com/docs/api-docs/trade-websocket/general-info">https://www.pionex.com/docs/api-docs/trade-websocket/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Wallet API</strong></td><td><a href="https://www.pionex.com/docs/api-docs/wallet-api/general-info">https://www.pionex.com/docs/api-docs/wallet-api/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Futures API (Invite only)</strong></td><td><a href="https://www.pionex.com/docs/api-docs/futures-api/general-info">https://www.pionex.com/docs/api-docs/futures-api/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Futures Websocket (Invite only)</strong></td><td><a href="https://www.pionex.com/docs/api-docs/futures-websocket/general-info">https://www.pionex.com/docs/api-docs/futures-websocket/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Bot API</strong></td><td><a href="https://www.pionex.com/docs/api-docs/bot-api/general-info">https://www.pionex.com/docs/api-docs/bot-api/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Earn API (Beta)</strong></td><td><a href="https://www.pionex.com/docs/api-docs/earn-api/general-info">https://www.pionex.com/docs/api-docs/earn-api/general-info</a></td></tr><tr><td><h4><i class="fa-square-terminal">:square-terminal:</i></h4></td><td><strong>Partner API (Invite only)</strong></td><td><a href="https://www.pionex.com/docs/api-docs/partner-api/general-info">https://www.pionex.com/docs/api-docs/partner-api/general-info</a></td></tr></tbody></table>

## References

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><h4><i class="fa-key">:key:</i></h4></td><td><strong>API Key Guide</strong> <i class="fa-arrow-right">:arrow-right:</i></td><td><a href="https://www.pionex.com/docs/api-docs/references/api-key-guide">https://www.pionex.com/docs/api-docs/references/api-key-guide</a></td></tr><tr><td><h4><i class="fa-shield">:shield:</i></h4></td><td><strong>API Key Permissions</strong> <i class="fa-arrow-right">:arrow-right:</i></td><td><a href="https://www.pionex.com/docs/api-docs/references/api-key-permissions">https://www.pionex.com/docs/api-docs/references/api-key-permissions</a></td></tr><tr><td><h4><i class="fa-github">:github:</i></h4></td><td><strong>GitHub</strong> <i class="fa-arrow-right">:arrow-right:</i></td><td><a href="https://github.com/pionex-official/pionex-open-api">https://github.com/pionex-official/pionex-open-api</a></td></tr><tr><td><h4><i class="fa-telegram">:telegram:</i></h4></td><td><strong>Support</strong> <i class="fa-arrow-right">:arrow-right:</i></td><td><a href="https://t.me/pionexapi">https://t.me/pionexapi</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.pionex.com/docs/api-docs/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
